GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Data Fields
secure_endpoint Struct Reference

## Data Fields
grpc_endpoint | base
grpc_endpoint * | wrapped_ep
struct tsi_frame_protector * | protector
gpr_mu | protector_mu
grpc_endpoint_read_cb | read_cb
void * | read_user_data
grpc_endpoint_write_cb | write_cb
void * | write_user_data
gpr_slice_buffer | leftover_bytes
gpr_slice | read_staging_buffer
gpr_slice_buffer | input_buffer
gpr_slice | write_staging_buffer
gpr_slice_buffer | output_buffer
gpr_refcount | ref

## Field Documentation

grpc_endpoint secure_endpoint::base

gpr_slice_buffer secure_endpoint::input_buffer

gpr_slice_buffer secure_endpoint::leftover_bytes

gpr_slice_buffer secure_endpoint::output_buffer

struct tsi_frame_protector* secure_endpoint::protector

gpr_mu secure_endpoint::protector_mu

grpc_endpoint_read_cb secure_endpoint::read_cb

gpr_slice secure_endpoint::read_staging_buffer

void* secure_endpoint::read_user_data

gpr_refcount secure_endpoint::ref

grpc_endpoint* secure_endpoint::wrapped_ep

grpc_endpoint_write_cb secure_endpoint::write_cb

gpr_slice secure_endpoint::write_staging_buffer

void* secure_endpoint::write_user_data

The documentation for this struct was generated from the following file:

- src/core/security/secure_endpoint.c